<ion-header>
  
    <ion-navbar color="primary-color-dark">
      <ion-title>Recibo</ion-title>
      <ion-buttons end>
        <button ion-button left (tap)="menuToggle()">
          <ion-icon name="menu"></ion-icon>
        </button>
      </ion-buttons>
    </ion-navbar>
  
  </ion-header>
  <ion-content no-padding>
    <p text-center>Pedido: <b>{{receipt.id_pedido}}</b></p>
    <div text-center>
      <svg #barcode id="barcode"></svg>
    </div>
  
    <div text-center>
      <ion-label> Detalhes do pedido</ion-label>
    </div>
  
  <ion-card no-padding>
    <ion-card-title no-padding text-center>
          <ion-icon name="ios-list-box-outline" class="card-title-icon"></ion-icon>
          Eventos
          <button 
            ion-button 
            right
            clear 
            ion-only 
            right 
            class="card-title-button"
            (tap)="changeEventIcon()">
            <ion-icon [name]="btnEventShow" color="primary-color-text"></ion-icon>
          </button>
    </ion-card-title>
    <ion-card-content *ngIf="btnEventShow == 'remove'" no-padding>
      <ion-list no-padding>
        <ion-item 
          *ngFor="let event of receipt.eventos">
          <receipt-event-item
            text-wrap
            [event]="event">
          </receipt-event-item>
        </ion-item>
      </ion-list> 
    </ion-card-content>
  </ion-card>
  
  <ion-card no-padding *ngIf="receipt.produtos && receipt.produtos.length">
    <ion-card-title no-padding text-center>
        <ion-icon icon-left name="ios-list-box-outline" class="card-title-icon"></ion-icon>
        Produtos
        <button 
          ion-button 
          clear 
          ion-only 
          right
          class="card-title-button"
          (tap)="changeProductIcon()">
          <ion-icon [name]="btnProductShow"></ion-icon>
        </button>
    </ion-card-title>
    <ion-card-content *ngIf="btnProductShow == 'remove'" no-padding>
      <ion-list>
        <ion-item 
          *ngFor="let product of receipt.produtos">
          <receipt-product-item
            [product]="product">
          </receipt-product-item>
        </ion-item>
      </ion-list> 
    </ion-card-content>
  </ion-card>
  
  
  </ion-content>